use super::macros::intermediate;

use crate::error::CustomError;

#[derive(Debug, Clone)]
pub(crate) struct IInlineSourceBlock {
    pub(crate) value: String,
}

intermediate!(
    IInlineSourceBlock,
    &'orig organic::types::InlineSourceBlock<'parse>,
    original,
    _registry,
    {
        Ok(IInlineSourceBlock {
            value: original.value.to_owned(),
        })
    }
);
